import {
	baseRequest
} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/pricemonitor/` + url, ...arg)

/**
 * 价格监测Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/02 15:09
 **/
export default {
	// 获取价格监测分页
	priceMonitorPage(data) {
		return request('page', data, 'get')
	},
	// 提交价格监测表单 edit为true时为编辑，默认为新增
	priceMonitorSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除价格监测
	priceMonitorDelete(data) {
		return request('delete', data)
	},
	// 获取价格监测详情
	priceMonitorDetail(data) {
		return request('detail', data, 'get')
	}
}
